Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2148983

Summary: F36FailsToInstall: nfs-ganesha, nfs-ganesha-proxy-v3, nfs-ganesha-proxy-v4, nfs-ganesha-utils
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: nfs-ganeshaAssignee: Kaleb KEITHLEY <kkeithle>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: dang, jthottan, kkeithle, skoduri
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nfs-ganesha-4.2-1.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-09 00:49:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1992487    

Description Miro Hrončok 2022-11-28 12:22:33 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (nfs-ganesha) Fails To Install in Fedora 36:

can't install nfs-ganesha:
  - nothing provides libntirpc.so.4.1()(64bit) needed by nfs-ganesha-4.1-1.fc36.x86_64
  - nothing provides libntirpc.so.4.1(NTIRPC_4.1)(64bit) needed by nfs-ganesha-4.1-1.fc36.x86_64
  
can't install nfs-ganesha-proxy-v3:
  - nothing provides libntirpc.so.4.1()(64bit) needed by nfs-ganesha-proxy-v3-4.1-1.fc36.x86_64
  - nothing provides libntirpc.so.4.1(NTIRPC_4.1)(64bit) needed by nfs-ganesha-proxy-v3-4.1-1.fc36.x86_64
  
can't install nfs-ganesha-proxy-v4:
  - nothing provides libntirpc.so.4.1()(64bit) needed by nfs-ganesha-proxy-v4-4.1-1.fc36.x86_64
  - nothing provides libntirpc.so.4.1(NTIRPC_4.1)(64bit) needed by nfs-ganesha-proxy-v4-4.1-1.fc36.x86_64
  
can't install nfs-ganesha-utils:
  - nothing provides libntirpc.so.4.1()(64bit) needed by nfs-ganesha-utils-4.1-1.fc36.x86_64
  - nothing provides libntirpc.so.4.1(NTIRPC_4.1)(64bit) needed by nfs-ganesha-utils-4.1-1.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --config-opts mirrored=False install nfs-ganesha nfs-ganesha-proxy-v3 nfs-ganesha-proxy-v4 nfs-ganesha-utils


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-11-30 20:32:11 UTC
FEDORA-2022-971120f2a0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-971120f2a0

Comment 2 Fedora Update System 2022-12-01 02:36:29 UTC
FEDORA-2022-971120f2a0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-971120f2a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-971120f2a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-12-09 00:49:54 UTC
FEDORA-2022-971120f2a0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.